fgl-5.5.2.3: Martin Erwig's Functional Graph Library

Safe Haskell | Safe
Language | Haskell98

Data.Graph.Inductive.Query.TransClos

Synopsis

- trc :: DynGraph gr => gr a b -> gr a ()

# Documentation

trc :: DynGraph gr => gr a b -> gr a ()

Finds the transitive closure of a directed graph. Given a graph G=(V,E), its transitive closure is the graph: G* = (V,E*) where E*={(i,j): i,j in V and there is a path from i to j in G}